# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="A kubectl plugin for editing /status subresource"
HOMEPAGE="https://github.com/ulucinar/kubectl-edit-status"
SRC_URI="https://github.com/ulucinar/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/alex/gentoo-artifacts/releases/download/${P}/${P}.tar.xz -> ${P}-vendor.tar.xz
		https://git.millerson.name/alex/gentoo-artifacts/releases/download/${P}-deps/${P}-deps.tar.xz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build
}

src_install() {
    dobin ${PN}
}
